Forum Linux.gentoo je n'arrive pas à compiler kde :!

Posté par .
Tags : aucun
0
17
mai
2011

Salut à tous je viens d'installer Xorg ( à la va vite sans recompilation du noyau car j'ai genkernel :-9), juste histoire de voir si ça marche par défaut.

J'ai voulu installer le paquet kde-meta :

emerge -av kde-meta

Sachant que mon USE était ainsi :

 USE="qt3 qt4 kde cdrom dvd"

Mais je vois ça : (je peux pas tout restituer et tout était en anglais)

!!! One of the following packages is required to complete your request.
-x11-libs/qt-sql-4.7.2 (change USE: +qt3support)

alors je change la variable USE dans le make.conf mais rien, j'essais qt3, +qt3, qt3support, +qt3support... rien ne marche.

Une autre fois j'ai aussi eu droit à

CHANGE USE : +kde

Je ne sais absolument pas quoi faire surtout que ça doit être un truc à la ...

Merci d'avance pour votre aide :), si il vous faut une précision marquez le je l'enverrai directement :).

  • # Parfois c'est dur gentoo

    Posté par (page perso) . Évalué à 2.

    J'ai connu le problème inverse : j'ai -kde -qt3 -qt4 dans mon USE et pendant quelques années les quelques programmes kde que j'utilise m'ont posé des problèmes quasi insurmontables et du même ordre.

    Il me semble que certaines librairies kde ont des dépendances cycliques et que l'installation requiert donc souvent deux étapes. C'est peut-être le problème que vous rencontrez. Je m'explique : je veux un système où libA et libB sont installées et utilisées par tout les programmes. J'ajoute les USE adaptés : uA et uB. Seulement pas de bol, avec ces use, pour installer libA il faut avoir libB et réciproquement. En fait, sans les USE uA et uB il est possible d'installer libA. Il convient donc de procéder ainsi :

    • enlever les USE uA et uB

    • installer libA

    • ajouter le USE uA

    • installer libB

    • ajouter les USE uA & uB

    • recompiler libA et libB

  • # compilation de kde fonctionne

    Posté par . Évalué à 1.

    Salut :), j'ai réussis à compiler kde

    mon USE ( dans le make.conf ) est telle que USE ="qt3support qt4 kde cdrom dvd"

    après une mise à jour complète :

    j'ai ajouté le flag declarative a un certain paquet (je sais plus lequel) et ça a fonctionné mais startx ne marche pas, certainement un histoire de drivers ou autre, j'ai essayé avec X -configure (automatique).
    Mais lors du test avec X -config le_fichier_qu'il_m'a_indiqué_de_testé j'obtiens un black screen ou je ne peux que faire un ctrl suppr :/.

    En outre, startx ne se lance pas du tout (no drivers), il dit failed to load modules, et il affiche tout d'abord le message "no screen found" fatal error alors que j'ai bien mis XSESSION="kde-4" dans mon rc.conf^^.

    La fin de ce commentaire n'a pas beaucoup à voir avec le début (si ce n'est l'installation de kde) je le supprimerais si c'est trop hs, à vous de voir ^^, sinon au pire je peux toujours changer le titre et élargir la description histoire de ne pas polluer avec un nouveau poste.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.